LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-20-2006, 10:40 AM   #1
tothzp
LQ Newbie
 
Registered: Apr 2006
Posts: 26

Rep: Reputation: 17
Question Really statically linked skype client ?


Hi,
I want to deploy skype on my old Linux distro.
However, the statically linked version contains only QT linked in, but it depends on a lot of other dynamic libraries:

>ldd skype
libGL.so.1 => /usr/X11R6/lib/libGL.so.1 (0x40028000)
libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x400cd000)
libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x400e2000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x400e6000)
libXft.so.2 => /usr/lib/libXft.so.2 (0x400f0000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x40102000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x4016f000)
libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x4019e000)
libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x401a7000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x401be000)
libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x401c3000)
libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x401d1000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0x40298000)
libstdc++.so.5 => /usr/lib/libstdc++.so.5 (0x402aa000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0x40364000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x40389000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x40395000)
libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x404cc000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0x4051b000)
libz.so.1 => /usr/lib/libz.so.1 (0x40524000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0x40536000)
...
...e.g. it needs a newer version of glibc than I have.

Any workaround for this ?

Do you know any really statically linked skype (compatible) client or another one that does not need that many libs and works against an older glibc ?
 
Old 04-21-2006, 07:17 AM   #2
Hangdog42
LQ Veteran
 
Registered: Feb 2003
Location: Maryland
Distribution: Slackware
Posts: 7,803
Blog Entries: 1

Rep: Reputation: 420Reputation: 420Reputation: 420Reputation: 420Reputation: 420
Since Skype is closed source (both the code for the client and the communications protocol) probabaly your best bet is to see if they still have some of the old Linux clients available. The only other alternative would be to upgrade that box so that it can run the current Skype.
 
  


Reply

Tags
skype


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How to compile statically? futhark Linux - Software 2 04-16-2006 01:39 PM
fully statically linked posix thread program on PPC mmiglia Linux - Software 0 09-22-2004 07:06 AM
Gnucash statically linked binary melinda_sayang Slackware 7 07-11-2004 02:32 AM
Can't compile MPlayer statically. Nezzo Linux - Software 3 11-04-2003 06:29 PM
Winxp linked to Linux Linked to home network OverboardKiller Linux - Networking 2 06-09-2003 09:59 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 11:51 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration